POST api/Course/Clock/Comment/Reply
会员打卡记录回复(说明:App和小程序通用)
Request Information
URI Parameters
None.
Body Parameters
参数列表
API_ClockCommentReply| Name | Description | Type | Additional information |
|---|---|---|---|
| userOpenId |
微信OpenId |
string |
None. |
| courseId |
课程id |
integer |
None. |
| clockCommentPID |
评价Id |
integer |
None. |
| contentText |
评价内容 |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"userOpenId": "sample string 1",
"courseId": 2,
"clockCommentPID": 3,
"contentText": "sample string 4"
}
Response Information
Resource Description
返状态码: 403:请求不合理,服务器拒绝执行(1、请求参数不正确)... 。404:信息不存在(1、未订阅课程 2、评价信息不存在 3、回复用户微信基本信息不存在 4、被回复用户微信基本信息不存在)... 。400:失败... 。200:成功... 。
ClockCommentResult| Name | Description | Type | Additional information |
|---|---|---|---|
| commentPID |
评价ID |
integer |
None. |
| status |
公共返回值: 480:Token无效。 481:请求需要身份验证。 482:身份验证方式不正确。 483:Token已过期。 500:服务器内部错误。 |
integer |
None. |
| msg |
消息 |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"commentPID": 1,
"status": 2,
"msg": "sample string 3"
}